/*
    CSS rules

    selector {
        property: value;
    },

    selector {
        property: value;
    }

Priorities
     location:
        1. Inline Styles
        2. Internal Styles
        3. Externaml Styles
     Selectors:
        1. ID
        2. Class
        3. Attribute
        4.  Type
        5. Universal
Note:
    if there are several !important properties or multiple styling
    targeting same element, the CSS specificity Rule (Priority) is followed for all rules with !important.  

*/

/*Type Selectors*/
/*tag-name*/

h1 {
    color: yellow !important;
}


/* Universal Selector*/
*{

    font-family: "Courier New", monospace;
    font-size: 20px;
}

/* ID Selector */
/* #id-name */

#zuitt-motto {
        letter-spacing: 5px;
}

/* Class Selector */
/* .class-name */
.offering-item {
    text-transform: uppercase;
}


/* Attribute Selectors */
/* tagname[attribute] */

input[required] {
    border-width: 2px;
    border-style: solid;
    border-color: navy;
}

#zuitt-motto    {

    letter-spacing: 25px;

}

/* adjacent sibling selector - uses plus sign */
/* selector + selector */

h3 + img {

    height: 300px;
    border-width: 300px;
    border-radius: 150px;

}

/* Descendant Selector - uses white spaces */
/* selector selector */

#bootcamp-learning-list li {
    color: #075966;
}

/* General Sibling Selector - uses tilde */
/* selector ~ selector */

h2 ~ a {

    text-decoration: none;
}

/* Child Selector - uses greater that symbol */
/* selector > selector */

body > section > form > label {
    color: rgb(0,0,128);
}


/* More CSS Rules */
ol {
    list-style-type: none;
}

form {
    text-align: center;
    background-color: white;
    border: 2px solid black;
    height: 185px;
    width: 40vw;
    position: relative;
    left: 30%;
}